function love.load()
	--get window size
	wHeight = love.graphics.getHeight()
	wWidth = love.graphics.getWidth()
	
	
	--player
	player = {} -- new table for player
	player.size = 5
	player.x = (wWidth / 2) - (player.size / 2)
	player.y = (wHeight / 2) - (player.size / 2)
	player.speed = 200
	
	--apple
	apple = {}
	apple.size = 10
	apple.spawned = false
end

function love.update(dt)
	--go left or right	
	if love.keyboard.isDown("left") and player.x > 0 then
		player.x = player.x - player.speed*dt
	elseif love.keyboard.isDown("right") and player.x < (wWidth - player.size) then
		player.x = player.x + player.speed*dt
	end
	
	--go up or down
	if love.keyboard.isDown("up") and player.y > 0 then
		player.y = player.y - player.speed*dt
	elseif love.keyboard.isDown("down") and player.y < (wHeight - player.size) then
		player.y = player.y + player.speed*dt
	end
	
	--has the player eaten the apple?
	
	--[[
	--set apple
	if apple.spawned == false then
		--is apple.x on player?
		local x = 0
		while x == 0 do
			apple.x = love.math.random(0, (wWidth - apple.size))
			if (apple.x + apple.size) < player.x or apple.x > (player.x + player.size) then
				x = 1
			end
		end
		
		--is apple.y on player?
		local y = 0
		while y == 0 do 
			apple.y = love.math.random(0, (wHeight - apple.size))
			if (apple.y + apple.size)< player.y or apple.y > (player.y + player.size) then
			y = 1
			end
		end
		--apple has spawned
		apple.spawned = true
	end
	]]--
end

function love.draw()	
	--draw player
	love.graphics.setColor(0, 255, 0, 255)
	love.graphics.rectangle("fill", player.x, player.y, player.size, player.size)
	
	--drawn apple
	love.graphics.setColor(255, 0, 0, 255)
	love.graphics.rectangle("fill", apple.x, apple.y, apple.size, apple.size)
end